using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class JanelaPergunta : MonoBehaviour {

    public GameObject gerenciador;
    public string[] respostas;
    public string pergunta;
    public string respostaCorreta;
    public string respostaSelecionada;
    public Text[] textoPerguntas;//referência do objeto UI setado na aba propriedades
    public Text perguntaNaTela;//referência do objeto UI setado na aba propriedades
    public int pontuacaoEquivalente = 1;


    void Start()
    {
        SetarRespostas(); //Setar respostas aos elementos de UI
        SetarPergunta();//Setar a pergunta ao elemento de UI

        gerenciador = GameObject.Find("Gerenciador");
     }
    

    private void VerificarResposta()
    {
        
                
        
        if (respostaSelecionada == respostaCorreta)
        {

            gerenciador.GetComponent<Gerenciador>().somaCorretas += 1;

        }
        else
        {
            print("Incorreta");
            
        }
         
    }
    private void SetarRespostas()
    {
        for (int i = 0; i < respostas.Length; i++)
        {

            textoPerguntas[i].text = respostas[i];
        }
    }
    
    public void PrimeiraResposta()
    {

        gerenciador.GetComponent<GerenciadorInicio>().somaHerbivoros += 1;
        gerenciador.GetComponent<GerenciadorInicio>().indicePrefabs += 1;
        gerenciador.GetComponent<GerenciadorInicio>().instanciarProxima = true;
        Destroy(gameObject);
        
        //respostaSelecionada = respostas[0];
        //VerificarResposta();//Verifica se a resposta selecionada está correta

    }
    public void SegundaResposta()
    {
        respostaSelecionada = respostas[1];
        //VerificarResposta();//Verifica se a resposta selecionada está correta
        gerenciador.GetComponent<GerenciadorInicio>().indicePrefabs += 1;
        gerenciador.GetComponent<GerenciadorInicio>().somaCarnivoros += 1;
        gerenciador.GetComponent<GerenciadorInicio>().instanciarProxima = true;
        Destroy(gameObject);
        
    }
        
    public void SetarPergunta()
    {
       perguntaNaTela.text = pergunta;
    }
    
}
